package app

import "miniapp/global"

type Vision struct {
	global.GVA_MODEL
	UserId int `json:"userId" form:"userId" gorm:"not null;column:user_id;comment:'用户id'"` // 用户id
	//左眼视力
	LeftEyeVision string `json:"leftEyeVision" from:"leftEyeVision" gorm:"not null;comment:左眼视力"` // 左眼视力
	//右眼视力
	RightEyeVision string `json:"rightEyeVision" from:"rightEyeVision" gorm:"not null;comment:右眼视力"` // 右眼视力
}

func (v Vision) TableName() string {
	return "t_vision"
}
