package common

import "miniapp/global"

type UserTodo struct {
	global.GVA_MODEL
	UserId       int    `json:"userId" form:"userId" gorm:"comment:用户id;"`
	Content      string `json:"content" form:"content" gorm:"comment:任务内容;"`
	IsFinish     int    `json:"isFinish" form:"isFinish" gorm:"comment:是否完成;"`
	RemindTime   string `json:"remindTime" form:"remindTime" gorm:"comment:提醒时间;"`
	RemindPeriod int    `json:"remindPeriod" form:"remindPeriod" gorm:"comment:术前，术后;"`
	Frequency    string `json:"frequency" form:"frequency" gorm:"comment:用药频率;"`
	RemindDay    string `json:"remindDay" form:"remindDay" gorm:"comment:提醒日期;"`
}

func (u UserTodo) TableName() string {
	return "t_user_todo"
}
